Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#531 closed defect (fixed)

rtmon usage report indexing is wrong

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: unspecified Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The indexing in the report loop misses the last period.
It is obvious when only one period is in an application.

Release:
RTEMS-4.6 and trunk

Attachments (1)

pr531.diff (728 bytes) - added by Joel Sherrill on 12/03/06 at 13:31:13.
pr531.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on 12/11/03 at 13:19:01 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Attached patch applied to 4.6 branch and trunk.

Changed on 12/03/06 at 13:31:13 by Joel Sherrill

Attachment: pr531.diff added

pr531.diff

comment:2 Changed on 10/10/17 at 06:35:44 by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.